zeitgeist-daemon using ~100% of CPU

Bug #722762 reported by Davis-charles84
904
This bug affects 162 people
Affects Status Importance Assigned to Milestone
Zeitgeist Extensions
Critical
Mikkel Kamstrup Erlandsen
Zeitgeist Framework
Invalid
Undecided
Unassigned
zeitgeist (Ubuntu)
Undecided
Unassigned
zeitgeist-extensions (Ubuntu)
Undecided
Unassigned

Bug Description

I've tried restarting my computer, closing all applications, etc., but no matter what System Monitor tells me zeitgeist-daemon is using 96-100% of the CPU on my i5 Sony Vaio laptop.

Revision history for this message
Davis-charles84 (davis-charles84) wrote :
affects: ubuntu → zeitgeist (Ubuntu)
Revision history for this message
Siegfried Gevatter (rainct) wrote :

Hi Davis-charles84,

Thank you for your bug report and helping improve Zeitgeist.

This is really strange. Could you please run zeitgeist-daemon from the terminal and attach a copy of its output when it's exhibiting this behaviour?

Changed in zeitgeist (Ubuntu):
status: New → Incomplete
Revision history for this message
Davis-charles84 (davis-charles84) wrote :

Typed "zeitgeist-daemon" in Terminal and here's what came out:

[2011-03-15 17:21:07,644] - DEBUG - root - Checking for another running instance...
[2011-03-15 17:21:07,646] - ERROR - root - Failed to setup the RemoteInterface
Traceback (most recent call last):
  File "/usr/bin/zeitgeist-daemon", line 162, in <module>
    mainloop, interface = setup_interface()
  File "/usr/bin/zeitgeist-daemon", line 102, in setup_interface
    return mainloop, RemoteInterface(mainloop = mainloop)
  File "/usr/share/zeitgeist/_zeitgeist/engine/remote.py", line 52, in __init__
    SingletonApplication.__init__(self)
  File "/usr/share/zeitgeist/_zeitgeist/singleton.py", line 57, in __init__
    ("An existing instance was found. Please use "
RuntimeError: An existing instance was found. Please use --replace to quit it and start a new instance.

Revision history for this message
Siegfried Gevatter (rainct) wrote :

Sorry, that didn't work since you already had Zeitgeist running, please try with "zeitgeist-daemon --replace".

Revision history for this message
Davis-charles84 (davis-charles84) wrote :

[2011-03-16 08:29:08,544] - DEBUG - root - Checking for another running instance...
[2011-03-16 08:29:08,547] - DEBUG - root - Replacing currently running process.
[2011-03-16 08:29:33,567] - ERROR - dbus.proxies - Introspect error on :1.46:/org/gnome/zeitgeist/log/activity: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
[2011-03-16 08:29:33,567] - DEBUG - dbus.proxies - Executing introspect queue due to error
Traceback (most recent call last):
  File "/usr/bin/zeitgeist-daemon", line 162, in <module>
    mainloop, interface = setup_interface()
  File "/usr/bin/zeitgeist-daemon", line 102, in setup_interface
    return mainloop, RemoteInterface(mainloop = mainloop)
  File "/usr/share/zeitgeist/_zeitgeist/engine/remote.py", line 52, in __init__
    SingletonApplication.__init__(self)
  File "/usr/share/zeitgeist/_zeitgeist/singleton.py", line 48, in __init__
    interface = ZeitgeistDBusInterface()
  File "/usr/lib/pymodules/python2.6/zeitgeist/client.py", line 194, in __init__
    self.INTERFACE_NAME, self.OBJECT_PATH)
  File "/usr/lib/pymodules/python2.6/zeitgeist/client.py", line 123, in __init__
    self.__methods, self.__signals = self.get_members(proxy.Introspect())
  File "/usr/lib/pymodules/python2.6/dbus/proxies.py", line 68, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/pymodules/python2.6/dbus/proxies.py", line 140, in __call__
    **keywords)
  File "/usr/lib/pymodules/python2.6/dbus/connection.py", line 620, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

Revision history for this message
Launchpad Janitor (janitor) wrote :

[Expired for zeitgeist (Ubuntu) because there has been no activity for 60 days.]

Changed in zeitgeist (Ubuntu):
status: Incomplete → Expired
Revision history for this message
meisterplanlos (meisterplanlos) wrote :

Please reactivate this bug because it occurs on my PC (Thinkpad T60) too.

Ubuntu Release: 11.04 (64bit)
Zeitgeist Version: 0.7.1-1

This bug is reproducible.

Happens after (re)starting Ubuntu. Replacing Zeitgeist daemon does not work for me (can't connect to running process. Gone rogue?):
$ zeitgeist-daemon --replace
[2011-07-22 11:18:41,908] - DEBUG - singleton - Checking for another running instance...
[2011-07-22 11:18:41,912] - DEBUG - root - Replacing currently running process...
[2011-07-22 11:19:06,937] - ERROR - dbus.proxies - Introspect error on :1.251:/org/gnome/zeitgeist/log/activity: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
[2011-07-22 11:19:06,938] - DEBUG - dbus.proxies - Executing introspect queue due to error
Traceback (most recent call last):
  File "/usr/bin/zeitgeist-daemon", line 162, in <module>
    mainloop, interface = setup_interface()
  File "/usr/bin/zeitgeist-daemon", line 102, in setup_interface
    return mainloop, RemoteInterface(mainloop = mainloop)
  File "/usr/share/zeitgeist/_zeitgeist/engine/remote.py", line 69, in __init__
    SingletonApplication.__init__(self)
  File "/usr/share/zeitgeist/_zeitgeist/singleton.py", line 54, in __init__
    self._handle_existing_instance()
  File "/usr/share/zeitgeist/_zeitgeist/singleton.py", line 87, in _handle_existing_instance
    interface = ZeitgeistDBusInterface()
  File "/usr/lib/pymodules/python2.7/zeitgeist/client.py", line 235, in __init__
    self.INTERFACE_NAME, self.OBJECT_PATH)
  File "/usr/lib/pymodules/python2.7/zeitgeist/client.py", line 149, in __init__
    self.__methods, self.__signals = self.get_members(proxy.Introspect())
  File "/usr/lib/pymodules/python2.7/dbus/proxies.py", line 68, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/pymodules/python2.7/dbus/proxies.py", line 140, in __call__
    **keywords)
  File "/usr/lib/pymodules/python2.7/dbus/connection.py", line 630, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

Revision history for this message
meisterplanlos (meisterplanlos) wrote :

zeitgeist-daemon is not reacting on signal 15. Only signal 9 kills him.

Revision history for this message
meisterplanlos (meisterplanlos) wrote :

Git this after killing and manually starting zeitgeist-daemon via console (corrupt db?):

[2011-07-22 11:37:53,670] - DEBUG - singleton - Checking for another running instance...
[2011-07-22 11:37:53,767] - INFO - zeitgeist.sql - Using database: /home/XXXXX/.local/share/zeitgeist/activity.sqlite
[2011-07-22 11:37:53,912] - DEBUG - zeitgeist.sql - Core schema is good. DB loaded in 144.942998886ms
[2011-07-22 11:37:53,927] - DEBUG - zeitgeist.extension - Searching for system extensions in: /usr/share/zeitgeist/_zeitgeist/engine/extensions
[2011-07-22 11:37:53,928] - DEBUG - zeitgeist.extension - Searching for user extensions in: /home/XXXXX/.local/share/zeitgeist/extensions
[2011-07-22 11:37:54,295] - DEBUG - zeitgeist.extension - No extra extensions
[2011-07-22 11:37:54,295] - DEBUG - zeitgeist.extension - Found extensions: [<class '_zeitgeist.engine.extensions.datasource_registry.DataSourceRegistry'>, <class '_zeitgeist.engine.extensions.blacklist.Blacklist'>, <class '_zeitgeist.engine.extensions.fts.SearchEngineExtension'>]
[2011-07-22 11:37:54,296] - DEBUG - zeitgeist.extension - Loading extension 'DataSourceRegistry'
[2011-07-22 11:37:54,342] - DEBUG - zeitgeist.datasource_registry - Loaded data-source data from /home/XXXXX/.local/share/zeitgeist/datasources.pickle
[2011-07-22 11:37:54,343] - DEBUG - zeitgeist.extension - Loading extension 'Blacklist'
[2011-07-22 11:37:54,343] - DEBUG - zeitgeist.blacklist - No existing blacklist config found
[2011-07-22 11:37:54,343] - DEBUG - zeitgeist.extension - Loading extension 'SearchEngineExtension'
[2011-07-22 11:37:54,344] - DEBUG - zeitgeist.fts - Opening full text index: /home/XXXXX/.local/share/zeitgeist/fts.index
[2011-07-22 11:37:54,638] - INFO - root - Trying to start the datahub
[2011-07-22 11:37:54,647] - DEBUG - root - Running datahub (/usr/bin/zeitgeist-datahub) with PID=25343
[2011-07-22 11:37:54,647] - INFO - root - Starting Zeitgeist service...
[2011-07-22 11:37:56,464] - DEBUG - zeitgeist.fts - Indexing 'file:///XXXXX'
[2011-07-22 11:37:56,550] - DEBUG - zeitgeist.fts - Indexing 'file:///XXXXX'
[2011-07-22 11:37:56,578] - DEBUG - zeitgeist.fts - Indexing 'file:///XXXXX'
[2011-07-22 11:37:56,579] - DEBUG - zeitgeist.fts - Indexing 'file:///XXXXX'
[2011-07-22 11:37:56,580] - DEBUG - zeitgeist.fts - Indexing 'file:///XXXXX'
[2011-07-22 11:37:56,581] - DEBUG - zeitgeist.fts - Indexing 'file:///XXXXX'
[2011-07-22 11:37:56,912] - DEBUG - zeitgeist.engine - Inserted 6 events out of 6 in 0.460891s
[2011-07-22 11:37:57,082] - DEBUG - zeitgeist.fts - Committing FTS index
Exception in thread IndexWorker:
Traceback (most recent call last):
  File "/usr/lib/python2.7/threading.py", line 552, in __bootstrap_inner
    self.run()
  File "/usr/lib/python2.7/threading.py", line 505, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/share/zeitgeist/_zeitgeist/engine/extensions/fts.py", line 365, in _worker_thread
    self._index.flush()
DatabaseError: Error reading block 825242624: got end of file

But until now there is no cpu load yet. Let's wait...

PS: The XXXXXs are intentional ;)

Revision history for this message
meisterplanlos (meisterplanlos) wrote :

If nobody is averse to setting the status of this bug back to "new", I will do so.

PS: After one day running the zeitgeist-daemon via console there is still no CPU load. So probably enough the bug happens only after a fresh restart. I will look into this later.

Revision history for this message
meisterplanlos (meisterplanlos) wrote :

So far no cpu load after restart.
This bug could be related to/be the same as bug 796194. I Will check if the tip in that bug report helps. If that is the case I will mark this bug as a duplicate of bug #796194.

Revision history for this message
Manish Sinha (मनीष सिन्हा) (manishsinha) wrote :

Hi,

can you install zeitgeist from our PPA

sudo apt-add-repository ppa:zeitgeist/ppa
sudo apt-get update
sudo apt-get upgrade

This will get you the latest zeitgeist

Then try to replicate this issue. If you can still get this high CPU usage then I can look furthur.

Changed in zeitgeist:
status: New → Triaged
Revision history for this message
Nell Hardcastle (nell.h) wrote :

Just upgraded to Ubuntu 11.10 Beta and I'm having this issue on a fresh boot.

Running the version from the PPA, I still see the high load, even when I restart zeitgeist-daemon with "zeitgeist-daemon --replace".

Revision history for this message
RomeReactor (romereactor) wrote :

Confirmed here. With today's updates (zeitgeist 0.8.1.1-1) it started exhibiting this problem.

Revision history for this message
Scott Stensland (scottstensland) wrote :

 /usr/bin/zeitgeist-daemon --version
0.8.1.1

ubuntu 11.10 seeing 99% CPU usage so I killed :

/usr/bin/python /usr/bin/zeitgeist-daemon

then launched from terminal - still getting 100% CPU

scott@khamchatka ~ $
scott@khamchatka ~ $ /usr/bin/python /usr/bin/zeitgeist-daemon
[DEBUG - singleton] Checking for another running instance...
[INFO - zeitgeist.sql] Using database: /home/scott/.local/share/zeitgeist/activity.sqlite
[DEBUG - zeitgeist.sql] Core schema is good. DB loaded in 2.31790542603ms
[DEBUG - zeitgeist.extension] Searching for system extensions in: /usr/share/zeitgeist/_zeitgeist/engine/extensions
[DEBUG - zeitgeist.extension] Searching for user extensions in: /home/scott/.local/share/zeitgeist/extensions
[DEBUG - zeitgeist.extension] No extra extensions
[DEBUG - zeitgeist.extension] Found extensions: [<class '_zeitgeist.engine.extensions.blacklist.Blacklist'>, <class '_zeitgeist.engine.extensions.fts.SearchEngineExtension'>, <class '_zeitgeist.engine.extensions.datasource_registry.DataSourceRegistry'>, <class '_zeitgeist.engine.extensions.storagemonitor.StorageMonitor'>]
[DEBUG - zeitgeist.extension] Loading extension 'Blacklist'
[DEBUG - zeitgeist.blacklist] No existing blacklist config found
[DEBUG - zeitgeist.extension] Loading extension 'SearchEngineExtension'
[DEBUG - zeitgeist.fts] Opening full text index: /home/scott/.local/share/zeitgeist/fts.index
[DEBUG - zeitgeist.extension] Loading extension 'DataSourceRegistry'
[DEBUG - zeitgeist.datasource_registry] Loaded data-source data from /home/scott/.local/share/zeitgeist/datasources.pickle
[DEBUG - zeitgeist.extension] Loading extension 'StorageMonitor'
[DEBUG - zeitgeist.storagemonitor] Creating NetworkManager network monitor
[DEBUG - zeitgeist.storagemonitor] NetworkManager network state: 70
[DEBUG - zeitgeist.storagemonitor] Setting storage medium net as not available
[INFO - root] Trying to start the datahub
[DEBUG - root] Running datahub (/usr/bin/zeitgeist-datahub) with PID=6034
[INFO - root] Starting Zeitgeist service...

this problem only started happening today - after a BIG set of updates from synaptic

Revision history for this message
Sean Sosik-Hamor (sciri) wrote :

sciri@chippoke:~$ zeitgeist-daemon --version
0.8.1.1
sciri@chippoke:~$ apt-cache policy zeitgeist
zeitgeist:
  Installed: 0.8.1.1-1
  Candidate: 0.8.1.1-1
  Version table:
 *** 0.8.1.1-1 0
        500 http://archive.ubuntu.com/ubuntu/ oneiric/main i386 Packages
        100 /var/lib/dpkg/status
sciri@chippoke:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu oneiric (development branch)
Release: 11.10
Codename: oneiric
sciri@chippoke:~$ uname -a
Linux chippoke 3.0.0-9-generic #15-Ubuntu SMP Tue Aug 30 15:03:37 UTC 2011 i686 i686 i386 GNU/Linux
sciri@chippoke:~$

sciri@chippoke:~$ zeitgeist-daemon
[DEBUG - singleton] Checking for another running instance...
[INFO - zeitgeist.sql] Using database: /home/sciri/.local/share/zeitgeist/activity.sqlite
[DEBUG - zeitgeist.sql] Core schema is good. DB loaded in 11.3618373871ms
[DEBUG - zeitgeist.extension] Searching for system extensions in: /usr/share/zeitgeist/_zeitgeist/engine/extensions
[DEBUG - zeitgeist.extension] Searching for user extensions in: /home/sciri/.local/share/zeitgeist/extensions
[DEBUG - zeitgeist.extension] No extra extensions
[DEBUG - zeitgeist.extension] Found extensions: [<class '_zeitgeist.engine.extensions.storagemonitor.StorageMonitor'>, <class '_zeitgeist.engine.extensions.fts.SearchEngineExtension'>, <class '_zeitgeist.engine.extensions.blacklist.Blacklist'>, <class '_zeitgeist.engine.extensions.datasource_registry.DataSourceRegistry'>]
[DEBUG - zeitgeist.extension] Loading extension 'StorageMonitor'
[DEBUG - zeitgeist.storagemonitor] Setting storage medium d6163f1c-2b93-4229-b7fa-2ad7f310fb28 '250 GB Filesystem' as available
[DEBUG - zeitgeist.storagemonitor] Creating NetworkManager network monitor
[DEBUG - zeitgeist.storagemonitor] NetworkManager network state: 70
[DEBUG - zeitgeist.storagemonitor] Setting storage medium net as not available
[DEBUG - zeitgeist.extension] Loading extension 'SearchEngineExtension'
[DEBUG - zeitgeist.fts] Opening full text index: /home/sciri/.local/share/zeitgeist/fts.index
[DEBUG - zeitgeist.extension] Loading extension 'Blacklist'
[DEBUG - zeitgeist.blacklist] No existing blacklist config found
[DEBUG - zeitgeist.extension] Loading extension 'DataSourceRegistry'
[DEBUG - zeitgeist.datasource_registry] Loaded data-source data from /home/sciri/.local/share/zeitgeist/datasources.pickle
[INFO - root] Trying to start the datahub
[DEBUG - root] Running datahub (/usr/bin/zeitgeist-datahub) with PID=8647
[INFO - root] Starting Zeitgeist service...

And it just sits there churning away at 100%

Revision history for this message
Andrea Cimitan (cimi) wrote :

added some duplicates.
happens on both a fresh upgrade from natty, and a machine upgraded to oneiric since the very beginning (may 2011)

Changed in zeitgeist (Ubuntu):
status: Expired → Confirmed
Revision history for this message
Mikkel Kamstrup Erlandsen (kamstrup) wrote :

To anyone with this problem - you don't have to kill/replace the running zeitgeist-daemon if you see this bug. Simply open ~/.cache/zeitgeist/daemon.log in your favorite editor, check that you don't have embarrassing or confidential stuff in there[1] and attach it to this bug.

[1]: If you do, then redact it or don't post it - we don't want a wikileaks-like Launchpad-gate on out hands ;-)

Revision history for this message
Andrea Cimitan (cimi) wrote :
Revision history for this message
Andrea Cimitan (cimi) wrote :

the other log is so huge... and full of my files :)

Revision history for this message
Mikkel Kamstrup Erlandsen (kamstrup) wrote :

You can generate a redacted zeitgeist log with something like:

sed -e 's/file:.*$/file:XXX/g' ~/.cache/zeitgeist/daemon.log > ~/zeitgeist-redacted.log

Replaces all file: URLs in your log with file:XXX.

Revision history for this message
Petr Hlozek (ok2cqr) wrote :

I have the same problem on updated Oneiric beta 1, 32bit.

Version of zeitgeist: 0.8.1.1

[DEBUG - singleton] Checking for another running instance...
[INFO - zeitgeist.sql] Using database: /home/ok2cqr/.local/share/zeitgeist/activity.sqlite
[DEBUG - zeitgeist.sql] Core schema is good. DB loaded in 3.42321395874ms
[DEBUG - zeitgeist.extension] Searching for system extensions in: /usr/share/zeitgeist/_zeitgeist/engine/extensions
[DEBUG - zeitgeist.extension] Searching for user extensions in: /home/ok2cqr/.local/share/zeitgeist/extensions
[DEBUG - zeitgeist.extension] No extra extensions
[DEBUG - zeitgeist.extension] Found extensions: [<class '_zeitgeist.engine.extensions.datasource_registry.DataSourceRegistry'>, <class '_zeitgeist.engine.extensions.blacklist.Blacklist'>, <class '_zeitgeist.engine.extensions.storagemonitor.StorageMonitor'>, <class '_zeitgeist.engine.extensions.fts.SearchEngineExtension'>]
[DEBUG - zeitgeist.extension] Loading extension 'DataSourceRegistry'
[DEBUG - zeitgeist.datasource_registry] Loaded data-source data from /home/ok2cqr/.local/share/zeitgeist/datasources.pickle
[DEBUG - zeitgeist.extension] Loading extension 'Blacklist'
[DEBUG - zeitgeist.blacklist] No existing blacklist config found
[DEBUG - zeitgeist.extension] Loading extension 'StorageMonitor'
[DEBUG - zeitgeist.storagemonitor] Setting storage medium Ubuntu 11.10 i386 'Ubuntu 11.10 i386' as available
[DEBUG - zeitgeist.storagemonitor] Creating NetworkManager network monitor
[DEBUG - zeitgeist.storagemonitor] NetworkManager network state: 70
[DEBUG - zeitgeist.storagemonitor] Setting storage medium net as not available
[DEBUG - zeitgeist.extension] Loading extension 'SearchEngineExtension'
[DEBUG - zeitgeist.fts] Opening full text index: /home/ok2cqr/.local/share/zeitgeist/fts.index
[INFO - root] Trying to start the datahub
[DEBUG - root] Running datahub (/usr/bin/zeitgeist-datahub) with PID=4024
[INFO - root] Starting Zeitgeist service...

and nothing, only 100% CPU.

Revision history for this message
Andrzej Kłapeć (solidslash) wrote :

Here's my daemon.log :
http://pastebin.com/kDxTipVM
Running up-to-date amd64 Oneiric.

Revision history for this message
Lê Hoàng Phương (herophuong93) wrote :

Me too. After update a big set of updates today, zeitgeist-daemon always eats 100% of my cpu. Arrw...

Revision history for this message
Mike (bild85) wrote :

Started after upgrade from Ubuntu 11.04 to 11.10. Makes laptop run EXCEEDINGLY hot. It burns my leg. Is this good for my hardware?

Output from the results of 'zeitgeist-daemon --replace':
http://pastebin.com/uSfN1Pbw

top results:
top - 02:10:42 up 10 min, 3 users, load average: 1.96, 1.72, 1.04
Tasks: 181 total, 2 running, 179 sleeping, 0 stopped, 0 zombie
Cpu(s): 22.3%us, 6.3%sy, 0.1%ni, 48.3%id, 22.7%wa, 0.0%hi, 0.3%si, 0.0%st
Mem: 3915572k total, 2307352k used, 1608220k free, 251636k buffers
Swap: 5861372k total, 0k used, 5861372k free, 834408k cached

  PID USER PR NI VIRT RES SHR S %CPU %MEM TIME+ COMMAND
 3315 user 20 0 142m 23m 7736 R 100 0.6 4:23.20 zeitgeist-daemo

Revision history for this message
Jan Klesnil (klesnil) wrote :

Also 100% cpu usage after the updates I did yesterday on x86_64 oneiric. My poor laptop has got fever of it :-/
Killing the daemon does not help as it is restarted and behaves everytime the same. :-(

Revision history for this message
Jan Klesnil (klesnil) wrote :

The sysprof utility shows that zeitgeist spends much of the time in xapian code. Don't know if the information is useful.

Revision history for this message
Seif Lotfy (seif) wrote : Re: [Zeitgeist] [Bug 722762] Re: zeitgeist-daemon using ~100% of CPU

Thanks yes this is useful... means that the problem is in the extensions.
@Mikkel can you look into this?

On Sun, Sep 4, 2011 at 10:38 AM, Jan Klesnil <email address hidden> wrote:

> The sysprof utility shows that zeitgeist spends much of the time in
> xapian code. Don't know if the information is useful.
>
> --
> You received this bug notification because you are a member of Zeitgeist
> Framework Team, which is subscribed to Zeitgeist Framework.
> https://bugs.launchpad.net/bugs/722762
>
> Title:
> zeitgeist-daemon using ~100% of CPU
>
> Status in Zeitgeist Framework:
> Triaged
> Status in “zeitgeist” package in Ubuntu:
> Confirmed
>
> Bug description:
> I've tried restarting my computer, closing all applications, etc., but
> no matter what System Monitor tells me zeitgeist-daemon is using
> 96-100% of the CPU on my i5 Sony Vaio laptop.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/zeitgeist/+bug/722762/+subscriptions
>
> _______________________________________________
> Mailing list: https://launchpad.net/~zeitgeist
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~zeitgeist
> More help : https://help.launchpad.net/ListHelp
>

Changed in zeitgeist-extensions (Ubuntu):
status: New → Confirmed
Changed in zeitgeist-extensions:
status: New → Incomplete
status: Incomplete → New
Revision history for this message
Andrew Somerville (andy16666) wrote :

Still exists in 11.10 beta 1. Drains my battery like crazy.

Revision history for this message
John Green (john-thegreens) wrote :

I get this problem too and attaching log. I've been kill -9 ing from time to time. Using 32 bit oneiric on Acer Aspire One.

Revision history for this message
Seif Lotfy (seif) wrote : Re: [Bug 722762] Re: zeitgeist-daemon using ~100% of CPU

Out of curiosity can you guys tell me you locale ?

On Sun, Sep 4, 2011 at 11:24 PM, John Green <email address hidden> wrote:

> I get this problem too and attaching log. I've been kill -9 ing from
> time to time. Using 32 bit oneiric on Acer Aspire One.
>
> ** Attachment added: "daemon.log"
>
> https://bugs.launchpad.net/zeitgeist/+bug/722762/+attachment/2354719/+files/daemon.log
>
> --
> You received this bug notification because you are subscribed to
> Zeitgeist Framework.
> https://bugs.launchpad.net/bugs/722762
>
> Title:
> zeitgeist-daemon using ~100% of CPU
>
> Status in Zeitgeist Framework:
> Triaged
> Status in Zeitgeist Extensions:
> New
> Status in “zeitgeist” package in Ubuntu:
> Confirmed
> Status in “zeitgeist-extensions” package in Ubuntu:
> Confirmed
>
> Bug description:
> I've tried restarting my computer, closing all applications, etc., but
> no matter what System Monitor tells me zeitgeist-daemon is using
> 96-100% of the CPU on my i5 Sony Vaio laptop.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/zeitgeist/+bug/722762/+subscriptions
>

Revision history for this message
John Green (john-thegreens) wrote :

john@netbook:~$ locale
LANG=en_GB.UTF-8
LANGUAGE=en_GB:en
LC_CTYPE=en_GB.UTF-8
LC_NUMERIC="en_GB.UTF-8"
LC_TIME="en_GB.UTF-8"
LC_COLLATE=en_GB.UTF-8
LC_MONETARY="en_GB.UTF-8"
LC_MESSAGES=en_GB.UTF-8
LC_PAPER="en_GB.UTF-8"
LC_NAME="en_GB.UTF-8"
LC_ADDRESS="en_GB.UTF-8"
LC_TELEPHONE="en_GB.UTF-8"
LC_MEASUREMENT="en_GB.UTF-8"
LC_IDENTIFICATION="en_GB.UTF-8"
LC_ALL=

Revision history for this message
Greg Michalec (greg-primate) wrote :

I also have this problem. Here's my locale:
dameat@lappy686:~$ locale
LANG=en_US.UTF-8
LANGUAGE=en_US:en
LC_CTYPE=en_US.UTF-8
LC_NUMERIC="en_US.UTF-8"
LC_TIME="en_US.UTF-8"
LC_COLLATE=en_US.UTF-8
LC_MONETARY="en_US.UTF-8"
LC_MESSAGES=en_US.UTF-8
LC_PAPER="en_US.UTF-8"
LC_NAME="en_US.UTF-8"
LC_ADDRESS="en_US.UTF-8"
LC_TELEPHONE="en_US.UTF-8"
LC_MEASUREMENT="en_US.UTF-8"
LC_IDENTIFICATION="en_US.UTF-8"
LC_ALL=

Revision history for this message
Mike (bild85) wrote :

$ locale
LANG=en_US.UTF-8
LANGUAGE=
LC_CTYPE="en_US.UTF-8"
LC_NUMERIC="en_US.UTF-8"
LC_TIME="en_US.UTF-8"
LC_COLLATE="en_US.UTF-8"
LC_MONETARY="en_US.UTF-8"
LC_MESSAGES="en_US.UTF-8"
LC_PAPER="en_US.UTF-8"
LC_NAME="en_US.UTF-8"
LC_ADDRESS="en_US.UTF-8"
LC_TELEPHONE="en_US.UTF-8"
LC_MEASUREMENT="en_US.UTF-8"
LC_IDENTIFICATION="en_US.UTF-8"
LC_ALL=

Revision history for this message
martinbures (needemesleepe) wrote :

same problem. Up-to-date 11.10 x86-64

LANG=en_US.UTF-8
LANGUAGE=en_US:en
LC_CTYPE=en_US.UTF-8
LC_NUMERIC="en_US.UTF-8"
LC_TIME="en_US.UTF-8"
LC_COLLATE=en_US.UTF-8
LC_MONETARY="en_US.UTF-8"
LC_MESSAGES=en_US.UTF-8
LC_PAPER="en_US.UTF-8"
LC_NAME="en_US.UTF-8"
LC_ADDRESS="en_US.UTF-8"
LC_TELEPHONE="en_US.UTF-8"
LC_MEASUREMENT="en_US.UTF-8"
LC_IDENTIFICATION="en_US.UTF-8"
LC_ALL=

Revision history for this message
Mikkel Kamstrup Erlandsen (kamstrup) wrote :

Thanks for the logs everyone.

To anyone else experiencing this problem: You don't have to comment here to register your problem; simply tick the "affects me too" in the top. We can all totally appreciate that you are burning CPU and we're working to resolve it asap.

Revision history for this message
Mikkel Kamstrup Erlandsen (kamstrup) wrote :

If someone is seeing this please try running 'top' in a terminal and check whether the PID of zeitgeist-daemon keeps changing every so often... I have a hunch that the daemon may be restarting over and over again...

Revision history for this message
Mikkel Kamstrup Erlandsen (kamstrup) wrote :

Ok, I actually have it myself here now - and I can attest that it's _not_ because Zeitgeist is restarting...

Revision history for this message
Mikkel Kamstrup Erlandsen (kamstrup) wrote :

I found the root cause. It's purely a bug in the fts extension so marking as Invalid for Zeitgeist itself.

Changed in zeitgeist-extensions:
assignee: nobody → Mikkel Kamstrup Erlandsen (kamstrup)
importance: Undecided → Critical
status: New → Triaged
Changed in zeitgeist:
status: Triaged → Invalid
Changed in zeitgeist (Ubuntu):
status: Confirmed → Invalid
Revision history for this message
Mikkel Kamstrup Erlandsen (kamstrup) wrote :

Thanks for the help everyone. This should be fixed in zeitgeist-fts-extension 0.0.11that I just released. On express route to a mirror near you ;-)

Changed in zeitgeist-extensions:
status: Triaged → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package zeitgeist-extensions - 0.0.11-0ubuntu1

---------------
zeitgeist-extensions (0.0.11-0ubuntu1) oneiric; urgency=low

  * New upstream release:
    - Fix zeitgeist-daemon using ~100% of CPU (LP: #722762)
 -- Didier Roche <email address hidden> Mon, 05 Sep 2011 10:53:29 +0200

Changed in zeitgeist-extensions (Ubuntu):
status: Confirmed → Fix Released
Revision history for this message
Rocko (rockorequin) wrote :

Thanks, that looks like it has fixed the problem for me. :)

Revision history for this message
Fran Diéguez (frandieguez) wrote :

Same here, seems that is fixed.

Revision history for this message
faye graves (cbe665) wrote :

agreed. fixed it for me too

Revision history for this message
alex (alexhuang1984) wrote :

still affected , with zeitgeist-extension-fts 0.0.11 installed.

Revision history for this message
Vangel Ajanovski (ajanovski) wrote :

I am still affected. Running on Xubuntu:
ii zeitgeist 0.8.2-1 event logging framework
ii zeitgeist-core 0.8.2-1 event logging framework - engine
ii zeitgeist-datahub 0.7.0-0ubuntu4 event logging framework - passive logging daemon
ii zeitgeist-extension-fts 0.0.13-0ubuntu1 Extensions for zeitgeist engine - fts extension
un zeitgeist-extensions <none> (no description available)
ii zeitgeist-fts-extension 0.0.13-0ubuntu1 transitional dummy package. Can be removed safely after the update.

Revision history for this message
Mingming Ren (portis25) wrote :

I can confirm that this bug still exists.

ii libzeitgeist-1.0-1 0.3.12-0ubuntu1
ii zeitgeist 0.8.2-1
ii zeitgeist-core 0.8.2-1
ii zeitgeist-datahub 0.7.0-0ubuntu4
ii zeitgeist-extension-fts 0.0.13-0ubuntu1

Revision history for this message
Mikkel Kamstrup Erlandsen (kamstrup) wrote :

Thanks for confirming this. We need something to go on before we can proceed with this issue though. Here's what you can do to help:

First install the needed debugging packages:

  sudo apt-get install gdb python-dbg libxapian22-dbg

Then when you see the issue drop to a terminal:

  pgrep -f zeitgeist-daemon
  sudo gdb 2>&1 | tee zg-dump.txt
  attach THE_PID_FROM_THE_FIRST_COMMAND
  <hit ctrl-c>
  bt full
  quit

Then attach zg-dump.txt here

Revision history for this message
ViViD (vivnet) wrote :

As requested, zg-dump.txt attached.

This issue appeared for me a few days ago and has happened two or three times. The resolution seems to be rebooting the machine.

Hopefully we can find a resolution to this issue.

Revision history for this message
Lie Ryan (lie-1296) wrote :

This bug still exists in zeitgeist-extension-fts 0.0.13-0ubuntu1

Revision history for this message
Mikkel Kamstrup Erlandsen (kamstrup) wrote :

Thanks ViViD this is most useful! If more people could attach traces similarly (as described in my comment #48) that would be grand.

(or if you can attach an extra trace, ViVid, that is also good, as the method I outlined will produce a dump from a random location in the code)

Revision history for this message
ViViD (vivnet) wrote :

I can't at the moment, I'm continually killing off the process to ensure my cores are free for my use.

Revision history for this message
teddy t6e6d6 (t6e6d6) wrote :

Here is another trace for you, hope i have done this correct ... and hth

Revision history for this message
Mikkel Kamstrup Erlandsen (kamstrup) wrote :

Thanks teddy this looks just fine :-)

Revision history for this message
Jasper (jasper-kouwenberg) wrote :

Same problem here; getting pretty sick of it actually.. :/

Revision history for this message
Mingming Ren (portis25) wrote :

Here's mine.

Revision history for this message
Mingming Ren (portis25) wrote :

I installed zeitgeist 0.8.99~alpha1 version, and I can't reproduce this bug.

Revision history for this message
Darius Kulikauskas (dkulikauskas) wrote :

With all the updates as of 2011-11-25 I am still affected by this bug.

Revision history for this message
Dana Byrd (joy-ease-and-peace) wrote :

Below are the steps I've used to resolve my problem for now.

     path to files = /home/{user}/.local/share/zeitgeist/

Short version:
  * I overwrote /home/dbyrd/.local/share/zeitgeist/* then shutdown my PC via the menu. Upon boot the CPU issue was absent.
  * zeitgeist daemon cpu usage now equals 0.0 %

More detail:
1. The sqlliteman app (sqlite manager - in ubuntu software center) was used to open an old backup copy of activity.sqlite (activity.sqlite.bck). The backup sqlite database was easily opened and seemed functional. Next I tried to open the activity.sqlite database and I received a corrupt file warning from the sqlliteman app.
2. I backed-up the entire local zeitgeist folder for posterity.
3. I restored my zeitgiest folder overwriting all files in the folder(s). See path above.
4. Full Shutdown. Cold boot.
5. The symptoms of the bug are currently absent. My current zeitgeist daemon cpu usuage is 0.0 % via htop. Previously htop reported the daemon at 85%-99% CPU for hours on end.

I hope this helps.

Revision history for this message
Nico (nicolabarbini) wrote :

"* I overwrote /home/dbyrd/.local/share/zeitgeist/* then shutdown my PC via the menu. "

do you mean I should delete the whole content of the folder?
included subfolders?

(poor english and a little unexperienced with linux...)

please help!

Revision history for this message
Nico (nicolabarbini) wrote :

I've answered myself, but could'n edit previous post:

stopped zeitgeist through System Manager (not end nor kill)
renamed
/home/{user name}/.local/share/zeitgeist/
to
/home/{user name}/.local/share/zeitgeist.old/
and shutdown

at startup a new zeitgeist folder appeared and after a while the CPU problem seems solved

thank you

Revision history for this message
D Allan (dallan507-deactivatedaccount) wrote :

Bug still exists for me running 64bit oneiric on Aspire One D255 as of 3/4/12 with 0.0.13-0ubuntu1 extension installed. Nico's fix (#61) worked for me (so far).

Revision history for this message
James (james-kenny) wrote :

I was hoping their was a fix, it is pretty annoying to have this sucking up all of my ram. So far my fix is killing the ubuntu 1 stuff and zeitgeist usually acts right. Is their anything I can post here to confirm?

Revision history for this message
Alik (kilaka) wrote :

Just happened to me - Ubuntu 12.04. Restart solved it.

To post a comment you must log in.